[{"label":"Latest (v1.0)","version":"latest"}]
nsx-vmc-policy

Get L3VPN With Sensitve Data

Description

Read the L3Vpn with the given id. Sensitive data is returned as part of the response. This API is deprecated. Please use the following APIs instead:

  • GET /infra/tier-0s//locale-services//ipsec-vpn-services/ default/sessions/L3VPN_?action=show_sensitive_data to get the associated IPSecVpnSession.
  • GET /infra/tier-0s//locale-services//ipsec-vpn-services/ default/local-endpoints/ to get the associated IPSecVpnLocalEndpoint.
  • GET /infra/ipsec-vpn-tunnel-profiles/L3VPN_ to get the associated IPSecVpnTunnelProfile.
  • GET /infra/ipsec-vpn-ike-profiles/L3VPN_ to get the associated IPSecVpnIkeProfile.
  • GET /infra/ipsec-vpn-dpd-profiles/L3VPN_ to get the associated IPSecVpnDpdProfile. If used, this deprecated API will not return L3Vpn with id unless the associated IPSecVpnSession with L3VPN_ id exists. For example, if the IPSecVpnSession gets deleted using DELETE /infra/tier-0s//locale-services//ipsec-vpn-services/ default/sessions/L3VPN_, the deprecated API will throw an ObjectNotFoundException.

Request

Request

URL

URL


get
https://nsxmanager.your.domain/policy/api/v1/infra/tier-0s/{tier-0-id}/locale-services/{locale-service-id}/l3vpns/{l3vpn-id}?action=show_sensitive_data
Copy

Path Parameters

Path Parameters

string
tier-0-id Required

string
locale-service-id Required

string
l3vpn-id Required

Authentication

Authentication

This operation uses the following authentication methods.

Response

Response

Response Body

Response Body

200 OK returns L3Vpn of type(s) application/json
This response body class contains all of the following: PolicyConfigResource, InlineL3Vpn1
Errors

Errors

400

Bad Request


403

Forbidden


404

Not Found


412

Precondition Failed


500

Internal Server Error


503

Service Unavailable

Code Samples

Code Samples

cURL Command

curl https://nsxmanager.your.domain/policy/api/v1/infra/tier-0s/{tier-0-id}/locale-services/{locale-service-id}/l3vpns/{l3vpn-id}?action=show_sensitive_data
Vendor Extensions

Vendor Extensions

This operation contains the following vendor extensions defined in the spec:
x-vmw-doc-deprecated: null
x-vmw-doc-operation: get-l3vpn-with-sensitve-data
x-vmw-nsx-module: PolicyL3Vpn


Feedback

Was this page helpful?